cancel
Showing results for 
Search instead for 
Did you mean: 
Common problems for INSTANT INK, HP+ PLANS: INK AND TONER
We would like to share some of the most frequently asked questions about Instant Ink. Check out this link: HP INSTANT INK, HP+ PLANS: INK AND TONER. .
Miscre8ive
New member
1 0 0 0
Message 1 of 2
120
Flag Post

Solved!

Deskjet 3755 and Mac OS version 10.6.8 compatibility.

HP Recommended
Deskjet 3755
Mac OS X 10.6 Snow Leopard and older

Would like to know if Deskjet 3755 All-n-One can work with my old MacBook Pro OS version 10.6.8 snow leopard or if I will be able to update it so it would be compatible.
Have read mixed answers in non HP platforms on thi question, so appreciate the help.

1 REPLY 1
ShlomiL
Level 17
Level 17
31,271 30,985 5,341 12,432
Message 2 of 2
Flag Post
HP Recommended

Hi,

The answer is no, the printer is supported on Mac OS X 10.9 (Maverick) or later versions, not on any older version.

 

You may find its System requirements listed below, see the OS X minimum system requirements section:

https://support.hp.com/in-en/product/hp-deskjet-3700-all-in-one-printer-series/8954253/document/c050...

 

You must update the operating system to a newer version if you Mac hardware supports so, else the printer cannot be used with the Mac.

 

Shlomi



Say thanks by clicking the Kudos thumb up in the post.
If my post resolve your problem please mark it as an Accepted Solution 🙂
Warning Be alert for scammers posting fake support phone numbers and/or email addresses on the community. If you think you have received a fake HP Support message, please report it to us by clicking on "Flag Post".
† The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation